extends 'base.pug'
load static
  -block content
    .contacts
      for contact in contacts
        .contact-item(comment-id="{{contact.pk}}")
          | Имя: {{contact.first_name}} Фамилия: {{contact.second_name}} Коментарий: {{contact.comment}}
          a(script-role="delete", comment-id="{{contact.pk}}")  Удалить
    script.
      $( function () {
        $('a[script-role="delete"]').click(function () {
          var comment_id = $(this).attr('comment-id');
          $.ajax({
            url: 'delete-comment',
            method: 'post',
            headers: {'X-CSRFToken': $.cookie('csrftoken')},
            data: {'comment-id': comment_id },
            dataType: 'json',
            success: function (response) {
              if (response['status'] == 'success') {
                alert('Коментарий удален!');
                $('.contact-item[comment-id="' + comment_id + '"]').remove();
              };
              if (response['status'] == 'error') {
                console.log(response['error'])
              };
            },
          });
        })
      });
